Legacy (v0)
Create Company Library
Creates a new library for a company with specified resources and settings.
POST
/
api
/
company
/
libraries
Create Company Library
curl --request POST \
--url https://api.fluid.app/api/company/libraries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"library": {
"title": "Office Essentials Starter Kit",
"company_library": true,
"library_items_attributes": [
{
"relateable_type": "Medium",
"relateable_id": 48213,
"order": 1
}
]
}
}
'import requests
url = "https://api.fluid.app/api/company/libraries"
payload = { "library": {
"title": "Office Essentials Starter Kit",
"company_library": True,
"library_items_attributes": [
{
"relateable_type": "Medium",
"relateable_id": 48213,
"order": 1
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
library: {
title: 'Office Essentials Starter Kit',
company_library: true,
library_items_attributes: [{relateable_type: 'Medium', relateable_id: 48213, order: 1}]
}
})
};
fetch('https://api.fluid.app/api/company/libraries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/libraries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'library' => [
'title' => 'Office Essentials Starter Kit',
'company_library' => true,
'library_items_attributes' => [
[
'relateable_type' => 'Medium',
'relateable_id' => 48213,
'order' => 1
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/libraries"
payload := strings.NewReader("{\n \"library\": {\n \"title\": \"Office Essentials Starter Kit\",\n \"company_library\": true,\n \"library_items_attributes\": [\n {\n \"relateable_type\": \"Medium\",\n \"relateable_id\": 48213,\n \"order\": 1\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/company/libraries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"library\": {\n \"title\": \"Office Essentials Starter Kit\",\n \"company_library\": true,\n \"library_items_attributes\": [\n {\n \"relateable_type\": \"Medium\",\n \"relateable_id\": 48213,\n \"order\": 1\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/libraries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"library\": {\n \"title\": \"Office Essentials Starter Kit\",\n \"company_library\": true,\n \"library_items_attributes\": [\n {\n \"relateable_type\": \"Medium\",\n \"relateable_id\": 48213,\n \"order\": 1\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 5127,
"label": null,
"display_tag": null,
"title": "Office Essentials Starter Kit",
"slug": "office-essentials-starter-kit",
"company_library": true,
"affiliate_id": null,
"share_link": null,
"preview_link": null,
"views": 0,
"leads": 0,
"library_items": [
{
"id": 90417,
"order": 1,
"relateable_type": "Medium",
"relateable": {
"id": 48213,
"title": "Why Dunder Mifflin Paper?",
"slug": "why-dunder-mifflin-paper",
"media_type": "share",
"kind": "video",
"image_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.jpg",
"video_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4",
"active": true,
"created_at": "2026-09-14T15:32:08Z"
}
}
]
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}Response
Success
A content library (playlist) and its active items.
⌘I
Create Company Library
curl --request POST \
--url https://api.fluid.app/api/company/libraries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"library": {
"title": "Office Essentials Starter Kit",
"company_library": true,
"library_items_attributes": [
{
"relateable_type": "Medium",
"relateable_id": 48213,
"order": 1
}
]
}
}
'import requests
url = "https://api.fluid.app/api/company/libraries"
payload = { "library": {
"title": "Office Essentials Starter Kit",
"company_library": True,
"library_items_attributes": [
{
"relateable_type": "Medium",
"relateable_id": 48213,
"order": 1
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
library: {
title: 'Office Essentials Starter Kit',
company_library: true,
library_items_attributes: [{relateable_type: 'Medium', relateable_id: 48213, order: 1}]
}
})
};
fetch('https://api.fluid.app/api/company/libraries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/libraries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'library' => [
'title' => 'Office Essentials Starter Kit',
'company_library' => true,
'library_items_attributes' => [
[
'relateable_type' => 'Medium',
'relateable_id' => 48213,
'order' => 1
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/libraries"
payload := strings.NewReader("{\n \"library\": {\n \"title\": \"Office Essentials Starter Kit\",\n \"company_library\": true,\n \"library_items_attributes\": [\n {\n \"relateable_type\": \"Medium\",\n \"relateable_id\": 48213,\n \"order\": 1\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/company/libraries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"library\": {\n \"title\": \"Office Essentials Starter Kit\",\n \"company_library\": true,\n \"library_items_attributes\": [\n {\n \"relateable_type\": \"Medium\",\n \"relateable_id\": 48213,\n \"order\": 1\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/libraries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"library\": {\n \"title\": \"Office Essentials Starter Kit\",\n \"company_library\": true,\n \"library_items_attributes\": [\n {\n \"relateable_type\": \"Medium\",\n \"relateable_id\": 48213,\n \"order\": 1\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 5127,
"label": null,
"display_tag": null,
"title": "Office Essentials Starter Kit",
"slug": "office-essentials-starter-kit",
"company_library": true,
"affiliate_id": null,
"share_link": null,
"preview_link": null,
"views": 0,
"leads": 0,
"library_items": [
{
"id": 90417,
"order": 1,
"relateable_type": "Medium",
"relateable": {
"id": 48213,
"title": "Why Dunder Mifflin Paper?",
"slug": "why-dunder-mifflin-paper",
"media_type": "share",
"kind": "video",
"image_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.jpg",
"video_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4",
"active": true,
"created_at": "2026-09-14T15:32:08Z"
}
}
]
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}